org.appng.testsupport.config

## Class ApplicationTestConfig

- java.lang.Object
- - org.appng.api.config.ApplicationConfig
  - - org.appng.testsupport.config.ApplicationTestConfig

-     @Configuration
      public class ApplicationTestConfig
      extends ApplicationConfig

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationTestConfig()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MarshallService` | `applicationMarshallService()`
    `static org.springframework.beans.factory.config.CustomScopeConfigurer` | `customScopeConfigurer()`
    `Environment` | `environment(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, Site site)`
    `org.springframework.mock.web.MockHttpServletResponse` | `htpServletResponse()`
    `org.springframework.mock.web.MockHttpServletRequest` | `httpServletRequest(javax.servlet.ServletContext context)`
    `MarshallService` | `marshallService()`
    `org.springframework.mock.web.MockServletContext` | `servletContext()`

    - ### Methods inherited from class org.appng.api.config.ApplicationConfig

      `conversionService, messageSource, request, selectionFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationTestConfig

          public ApplicationTestConfig()

  - ### Method Detail

    - #### customScopeConfigurer

          @Bean
           @Order(value=-2147483648)
          public static org.springframework.beans.factory.config.CustomScopeConfigurer customScopeConfigurer()

    - #### servletContext

          @Bean
          public org.springframework.mock.web.MockServletContext servletContext()

    - #### environment

          public Environment environment(javax.servlet.http.HttpServletRequest request,
                                         javax.servlet.http.HttpServletResponse response,
                                         Site site)

      Overrides:
        `environment` in class `ApplicationConfig`

    - #### httpServletRequest

          @Bean
           @Scope(value="prototype")
          public org.springframework.mock.web.MockHttpServletRequest httpServletRequest(javax.servlet.ServletContext context)

    - #### htpServletResponse

          @Bean
           @Scope(value="prototype")
          public org.springframework.mock.web.MockHttpServletResponse htpServletResponse()

    - #### applicationMarshallService

          @Bean
          public MarshallService applicationMarshallService()
                                                           throws JAXBException

      Throws:
        `JAXBException`

    - #### marshallService

          @Bean
          public MarshallService marshallService()
                                                throws JAXBException

      Throws:
        `JAXBException`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.